Suites and casesList suite cases

List suite cases

Read cases belonging to a suite available to the account..

curl -X GET "https://app.aegisrunner.com/api/v1/suites/123e4567-e89b-12d3-a456-426614174000/cases" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN"
{
  "items": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "name": "John Doe",
      "status": "example_string"
    }
  ],
  "total": 42
}
GET
/suites/{suiteId}/cases
GET
Base URLstring

Target server for requests. Edit to use your own host.

Bearer Token
Bearer Tokenstring
Required

AegisRunner account session access token. Complete the supported sign-in, security verification, and two-factor flow as required.

AegisRunner account session access token. Complete the supported sign-in, security verification, and two-factor flow as required.
Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token. AegisRunner account session access token. Complete the supported sign-in, security verification, and two-factor flow as required.

Path Parameters

Responses

itemsarray
totalinteger

Read cases belonging to a suite available to the account.

Authenticate with an account session as described in Project and testing API. Use resource IDs available to the same organization and project.

For unattended pipelines, use the separately authenticated CI endpoints.